-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- Written by Kimberly L. Tripp - all rights reserved.
-- 
-- For more scripts and sample code, check out 
-- 	http://www.SQLSkills.com
--
-- Disclaimer - Thoroughly test this script, execute at your own risk.
-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

SET STATISTICS IO ON
-- Turn Graphical Showplan ON (Ctrl+K)

USE CREDIT
go

set statistics io on

select min(OrderDate) as EarliestUnshipped
from Northwind..Orders with (index(OrderDate))
where ShippedDate is null

--create statistics teststats on orders(ShippedDate, OrderDate)
--create index testind on orders(ShippedDate, OrderDate)

sp_helpstats orders
dbcc show_statistics(orders, test)
dbcc show_statistics(orders, testind)

dbcc freeproccache
select min(OrderDate) as EarliestUnshipped
from Northwind..Orders --with (index(OrderDate))
where ShippedDate is null

select shippeddate, orderdate from orders
order by shippeddate, orderdate 